;********************************************************************
;*                                           *
;********************************************************************

	SUBTITL "    "
	LIST     P=16C84,N=40,C=132

;********************************************************************
;*                                               *
;********************************************************************

indir   equ     0x00            ;    
rtcc    equ     0x01            ; /
pcl     equ     0x02            ;  
status  equ     0x03            ;  
fsr     equ     0x04            ;   
eedata  equ     0x08            ;   EEPROM
eeadr   equ     0x09            ;   EEPROM
eecon1  equ     0x08            ;   1
eecon2  equ     0x09            ;   2
intcon  equ     0x0B            ;   
pclath  equ     0x0A
porta   equ     0x05            ;    A
trisa   equ     0x05            ;    A
portb   equ     0x06            ;    B
trisb   equ     0x06            ;    B

carry   equ     0               ;    -   
zflag   equ     2               ;    -   
rp0     equ     5               ;   
irp     equ     7               ;    ( 
;                                  16c84) !!!!!!!!
w       equ     0               ;  
f       equ     1               ;   

rtif    equ     2               ;    
rtie    equ     5               ;    
gie     equ     7               ;   

uni_01  equ     0x0C            ;   
uni_02  equ     0x0D            ;   
uni_03  equ     0x0E            ;   
uni_04  equ     0x0F            ;   

koef_d  equ     0x10            ;   Fosc/4
tone    equ     0x11            ;  
ritem   equ     0x12            ;   (100 = 60   )
stack   equ     0x13            ;   W
st_ton  equ     0x14            ;   
st_tip  equ     0x15            ;   
komb_0  equ     0x16            ;    
komb_1  equ     0x17            ;    
log_0   equ     0x18             
log_1   equ     0x19            
st_cak0 equ     0x1A            ;  
st_cak1 equ     0x1B            ;  
zac_kom equ     0x1C            ;  
pav_kmb equ     0x1D            ;     .(0...3)
tipka   equ     0               ;    RA0
zv1     equ     2               ; ""   RA2
zv2     equ     3               ;   RA3

	org     0x0000
	goto    reset

	org     0x0004
	goto    int_rtcc        ;    RTCC

;********************************************************************
;*                                                             *
;********************************************************************
	org     0x0010
reset
	clrf    pclath
	clrwdt
	movlw   b'11011111'
	option
	clrwdt

;********************************************************************
;*       /                                *
;********************************************************************
	movlw   b'00001111'     ; port A:  
	movwf   porta
	movlw   b'11111111'     ;  B:   ( )
	movwf   portb
	bsf     status,rp0      ;     
	movlw   b'11100001'     ;   A ( - )
	movwf   trisa
	movlw   b'00000000'     ;   B (  )
	movwf   trisb
	bcf     status,rp0      ;     
	
	movlw   0x20            ;   100     
movwf   st_tip          ; 

	movlw   0x02            ;  2 
	btfss   porta,tipka     ;   ,  
	movlw   0x01            ;   1 .
	movwf   pav_kmb         ; 
	movlw   0xAA        
	movwf   portb           ;   

	movlw   0xFF
	movwf   komb_1          ;    
	clrf    komb_0          ;    

;********************************************************************
;*                                                       *
;********************************************************************
zanka

;***   ***

melodija_1	
call    cakaj           ;      	
	movlw   0x28            ;  " " - 28 ( 27   30 )
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    1
	movlw   0x29            ;   1 - 41         
	movwf   uni_04          ;    
zanka_1
	movlw   0x02            ;    1
	movwf   pclath          ;   PCLATH    
	movf    st_ton,w        ;           
	call    pesem_1         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
	call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_2
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_1         ; 

;***   ***

melodija_2			
	call    cakaj           ;      
	movlw   0x45            ;  " Jingle Bells" - 45            
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    2
	movlw   0x71            ;   2 - 113         
	movwf   uni_04          ;   
zanka_2
	movlw   0x02            ;    2
	movwf   pclath          ;   PCLATH    
	movf    st_ton,w        ;    
	call    pesem_2         ;   
	movwf   tone            ;  
clrf    pclath          ; PCLATH -   
	call    ton             ;   
	andlw   0xFF            ; ,     
	btfss   status,zflag
	goto    melodija_3
	incf    st_ton,f        ;   
	decfsz  uni_04,f        ;   ,  goto 
	goto    zanka_2         ;  

;***   ***

melodija_3        
	call    cakaj           ;      	
	movlw   0x39            ;  "" - 39
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    3
	movlw   0x37            ;   3 - 55         
	movwf   uni_04          ;    
zanka_3
	movlw   0x02            ;    3
	movwf   pclath          ;   PCLATH    
	movf    st_ton,w        ;           
	call    pesem_3         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -    
	call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_4
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto 
	goto    zanka_3         ; 

;***   ***

melodija_4
	call    cakaj           ;      
	movlw   0x50            ;  " " - 50
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    4
	movlw   0x2E            ;   4 - 46         
	movwf   uni_04          ;   
zanka_4
	movlw   0x03            ;    4
	movwf   pclath          ;   PCLATH    
	movf    st_ton,w        ;           
	call    pesem_4         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
	call    ton             ;  

	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_5
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_4         ; 

;***   ***

melodija_5

	call    cakaj           ;      
	movlw   0x58            ;  "Love me tender" - 58
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    5
	movlw   0x4A            ;   5 - 74         
	movwf   uni_04          ;   
zanka_5
	movlw   0x03            ;    5
	movwf   pclath          ;   PCLATH    
	movf    st_ton,w        ;           
	call    pesem_5         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_6
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_5         ; 

;***   ***

melodija_6
	call    cakaj           ;      	
	movlw   0x3A            ;  "Oh when the saints, go marchin`in" - 3A
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    6
	movlw   0x25            ;   6 - 37         
	movwf   uni_04          ;   
zanka_60
	movlw   0x03            ;    6
	movwf   pclath          ;   PCLATH    OK
	movf    st_ton,w        ;           
	call    pesem_6         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
	call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_7
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_6         ; 

;***   ***

melodija_7
	call    cakaj           ;      
	movlw   0x40            ;  "My bonnie is over the ocean" - 40
	movwf   ritem           ;  
	movlw   0x00
	movwf   st_ton          ;    7
	movlw   0x3E            ;   7 - 62         
	movwf   uni_04          ;   
zanka_7
	movlw   0x03            ;    7
	movwf   pclath          ;   PCLATH   
	movf    st_ton,w        ;           
	call    pesem_7         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
	call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_8
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_7         ; 

;***   ***

melodija_8
	call    cakaj           ;      	
	movlw   0x28            ;  "All My Loving" - 28
	movwf   ritem           ; 
	movlw   0x00
	movwf   st_ton          ;    8
	movlw   0x3E            ;   8 - 62         
	movwf   uni_04          ;   
zanka_8
	movlw   0x01            ;    8
	movwf   pclath          ;   PCLATH   
	movf    st_ton,w        ;          
	call    pesem_8         ;  
	movwf   tone            ;  
	clrf    pclath          ; PCLATH -   
	call    ton             ;  
	andlw   0xFF            ; ,    
	btfss   status,zflag
	goto    melodija_9
	incf    st_ton,f        ;  
	decfsz  uni_04,f        ;   ,  goto
	goto    zanka_8         ; 

;***  ***

melodija_9
	goto    zanka

;********************************************************************
;*                                *
;*                                          * 
;********************************************************************
cakaj        
	movlw   0x20            ; . 100 ms,   
	movwf   st_tip          ; 
	btfss   porta,tipka     ;   ,  .  
	goto    cakaj
	movlw   0x19            ;   60 ,   
	movwf   st_cak1
cakaj_zz
	movlw   0x60            ;  120 
	movwf   st_cak0
cakaj_z
	call    kombinacija     ;   
	movf    pav_kmb,w
	andlw   b'00000011'
	movwf   uni_01          ;   ,  . 1,5 
cakaj_z1        
	movlw   0xF0
	movwf   uni_02          ;   
cakaj_z2                         
	btfsc   porta,tipka     ;   ,  . 
	goto    cakaj_ni_tipka
	decfsz  st_tip,f        ;    
	goto    cakaj_je_tipka  ; ,   
cakaj_spust        
	movlw   0x20            ; . 100 ,   
	movwf   st_tip          ; 
	btfss   porta,tipka     ;   ,  . .
	goto    cakaj_spust
	return                  ;    	
cakaj_ni_tipka
	movlw   0x20            ; . 100 ,    
	movwf   st_tip          ;  
cakaj_je_tipka        
	movlw   0x62            ; 98 x 5 + 8 = 498
	movwf   uni_03          ;   
cakaj_z3
	nop                     ; 1
	nop                     ; 1
	nop                     ; 1
	decfsz  uni_03,f        ; 1
	goto    cakaj_z3        ; 1
	decfsz  uni_02,f        ; 1
	goto    cakaj_z2        ; 1
	decfsz  uni_01,f        ; 1
	goto    cakaj_z1        ; 1
	decfsz  st_cak0,f
	goto    cakaj_z
	decfsz  st_cak1,f        
	goto    cakaj_zz        
	movlw   0x20
	movwf   st_tip
	return                  ;    

;********************************************************************
;*        ,       *
;*                           tone.                     *
;********************************************************************
ton
	movlw   0x04
	movwf   uni_01
ton_z02
	clrf    uni_02
ton_z03
	decfsz  uni_02,f
	goto    ton_z03
	decfsz  uni_01,f
	goto    ton_z02
	movf    tone,w
	andlw   0x0F            ;  4  -  
	movwf   uni_01
	incf    uni_01,f
	decfsz  uni_01,f
	goto    ton_s01
	call    kombinacija     ; ,    
	goto    ton_s02        
ton_s01
	bsf     status,carry
	clrf    uni_02       
ton_z01
	rlf     uni_02,f
	decfsz  uni_01,f
	goto    ton_z01        
	btfsc   status,carry    ;  1  ,
	rrf     uni_02,f        ;  -  . 
	btfsc   uni_02,0        ;  1   , ki ne poganja LED
	rlf     uni_02,f        ; dam 1 v uni_02.1
	comf    uni_02,w
	movwf   zac_kom         ;     ( B), 
ton_s02
	movlw   0x20            ;  . 100  
	movwf   st_tip          ;    
	movf    tone,w                
	andlw   0x0F            ;    -  
	btfsc   status,zflag    ;  0 -    
	goto    no_tone         ; 
	movwf   uni_01
	decfsz  uni_01,f        ;  1
	goto    ton_s1
	movlw   0x0F            ; 256 - 250 + 9 => 1000 
	goto    ton_start
ton_s1
	decfsz  uni_01,f        ;  2
	goto    ton_s2
	movlw   0x1D            ; 256 - 236 + 9 => 1059 
	goto    ton_start
ton_s2
	decfsz  uni_01,f        ;  3
	goto    ton_s3
	movlw   0x2A            ; 256 - 223 + 9 => 1122 
	goto    ton_start
ton_s3
	decfsz  uni_01,f        ;  4
	goto    ton_s4
	movlw   0x37            ; 256 - 210 + 9 => 1189 
	goto    ton_start
ton_s4
	decfsz  uni_01,f        ;  5
	goto    ton_s5
	movlw   0x43            ; 256 - 198 + 9 => 1260 
	goto    ton_start
ton_s5
	decfsz  uni_01,f        ;  6
	goto    ton_s6
	movlw   0x4E            ; 256 - 187 + 9 => 1335 
	goto    ton_start
ton_s6
	decfsz  uni_01,f        ;  7
	goto    ton_s7
	movlw   0x58            ; 256 - 177 + 9 => 1414 
	goto    ton_start
ton_s7
	decfsz  uni_01,f        ;  8
	goto    ton_s8
	movlw   0x62            ; 256 - 167 + 9 => 1498 
	goto    ton_start
ton_s8
	decfsz  uni_01,f        ;  9
	goto    ton_s9
	movlw   0x6C            ; 256 - 157 + 9 => 1587 
	goto    ton_start
ton_s9
	decfsz  uni_01,f        ;  10
	goto    ton_s10
	movlw   0x74            ; 256 - 149 + 9 => 1681 
	goto    ton_start
ton_s10
	decfsz  uni_01,f        ;  11
	goto    ton_s11
	movlw   0x7D            ; 256 - 140 + 9 => 1782 
	goto    ton_start
ton_s11
	decfsz  uni_01,f        ;  12
	goto    ton_s12
	movlw   0x85            ; 256 - 132 + 9 => 1888 
	goto    ton_start
ton_s12
	decfsz  uni_01,f        ;  13
	goto    ton_s13
	movlw   0x8C            ; 256 - 125 + 9 => 2000 
	goto    ton_start
ton_s13
	decfsz  uni_01,f        ;  14
	goto    ton_s14
	movlw   0x93            ; 256 - 118 + 9 => 2119 
	goto    ton_start
ton_s14
	decfsz  uni_01,f        ;  15
	goto    ton_start
	movlw   0x9A            ; 256 - 111 + 9 => 2245 
ton_start
	movwf   koef_d
	bsf     porta,zv1
	bcf     porta,zv2       ;  
	
	movwf   rtcc            ;     
	bsf     intcon,rtie     ;    
	bsf     intcon,gie      ;   
		movf    zac_kom,w
	movwf   portb
no_tone        
	swapf   tone,w          ;    ()        
	andlw   0x0F            ;   
	movwf   uni_01          ;           
ton_z1        
	movf    ritem,w
	movwf   uni_02          ;    (ritem x 624+4 = 50404)
ton_z2                  ; 49904 x 2 = . 125  ()
	btfsc   porta,tipka     ;   ,  . 
	goto    ton_ni_tipka
	decfsz  st_tip,f        ;   
	goto    ton_je_tipka    ;    
	bcf     intcon,gie      ;   
	bcf     intcon,rtie     ;    
	bsf     porta,zv1
	bsf     porta,zv2       ; "" -   
	movlw   0xFF
	movwf   portb
	movlw   0x20            ;  . 100 
	movwf   st_tip          ;    
	retlw   0xFF            ; ,    
	ton_ni_tipka
	movlw   0x20            ;  . 100 
	movwf   st_tip          ;    
ton_je_tipka        
	movlw   0x62            ; 98 x 5 + 8 = 498
	movwf   uni_03          ;   
ton_z3
	nop                     ; 1
	nop                     ; 1
	nop                     ; 1
	decfsz  uni_03,f        ; 1
	goto    ton_z3          ; 1

	decfsz  uni_02,f        ; 1
	goto    ton_z2          ; 1

	decfsz  uni_01,f        ; 1
	goto    ton_z1          ; 1

	bcf     intcon,gie      ;   
	bcf     intcon,rtie     ;    
	bsf     porta,zv1
	bsf     porta,zv2       ; "" -    
	movlw   0xFF
	movwf   portb
	movlw   0x20            ;  . 100 
	movwf   st_tip          ;    
	retlw   0x00            ; ,    

;********************************************************************
;*                   *
;********************************************************************
kombinacija
	movlw   0x08            ;           
	movwf   uni_02
komb_z1        
	movf    komb_0,w
	movwf   log_0
	movf    komb_1,w
	movwf   log_1
	rrf     log_0,f         ; b1 -   
	rlf     log_1,f
	rlf     log_1,f
	rlf     log_1,f         ; b14 -   
	movlw   0x01
	andwf   log_0,f
	andwf   log_1,f         ;   - 0
	movf    log_0,w
	andwf   log_1,w
	movwf   uni_01          ; b1 & b0 --> uni_01
	comf    log_0,f         ;  b0
	comf    log_1,f         ;  b1
	movlw   0x01
	andwf   log_0,f
	andwf   log_1,f         ;   - 0
	movf    log_0,w
	andwf   log_1,w         ; 'b1^'b14 --> w
	iorwf   uni_01,f        ; w  uni_01 --> uni_01
	rrf     uni_01,f
	rlf     komb_0,f
	rlf     komb_1,f
	decfsz  uni_02,f        ;     8 , 
	goto    komb_z1         ;  - 
	movf    komb_0,w
	movwf   portb           ;     
	return

;********************************************************************
;*                                      *
;********************************************************************
int_rtcc                ; 4   
	movwf   stack           ; 1  w,    
movf    koef_d,w        ; 1
	movwf   rtcc            ; 1
  				; 2 ,     
	movlw   b'00001100'
	xorwf   porta,f         ;    zv1  zv2
	movf    stack,w         ;  W                                
	bcf     intcon,rtif
	retfie

;********************************************************************
;*                                                      *
;********************************************************************

;********************************************************************
;*      All my Loving                                               *
;********************************************************************
pesem_8                         ;   - 62 
	addwf   pcl,f
	retlw   0x27
	retlw   0x26
	retlw   0x44
	retlw   0x26
	retlw   0x27
	retlw   0x29
	retlw   0x4B
	retlw   0x2D
	retlw   0x4E
	retlw   0x2E
	retlw   0x2D
	retlw   0x2B
	retlw   0x46
	retlw   0x2B
	retlw   0x4B
	retlw   0x2B
	retlw   0x29
	retlw   0x47
	retlw   0x24
	retlw   0x22
	retlw   0xC4
	retlw   0x27
	retlw   0x26
	retlw   0x44
	retlw   0x26
	retlw   0x27
	retlw   0x49
	retlw   0x2B
	retlw   0x2D
	retlw   0x4E
	retlw   0x2E
	retlw   0x2D
	retlw   0x2B
	retlw   0x46
	retlw   0x1B
	retlw   0x1B
	retlw   0x4B
	retlw   0x2B
	retlw   0x29
	retlw   0x27
	retlw   0x46
	retlw   0x24
	retlw   0xC2
	retlw   0x2E
	retlw   0x2D
	retlw   0x2B
	retlw   0x66
	retlw   0x26
	retlw   0x24
	retlw   0x22
	retlw   0x24
	retlw   0xC6
	retlw   0x2E
	retlw   0x2D
	retlw   0x2B
	retlw   0x66
	retlw   0x26
	retlw   0x24
	retlw   0x22
	retlw   0x22
	retlw   0xA2
	retlw   0x80

	org     0x210           
;********************************************************************
;*                                                         *
;********************************************************************
pesem_1                 ;   - 41 
	addwf   pcl,f           ;  - 512
	retlw   0x61            
	retlw   0x44              
	retlw   0x2C 
	retlw   0xCD              
	retlw   0x28
	retlw   0x2B              
	retlw   0x29  
	retlw   0x44              
	retlw   0x23 
	retlw   0xC2              
	retlw   0x62 
	retlw   0x44              
	retlw   0x26 
	retlw   0xC8              
	retlw   0x26
	retlw   0x24              
	retlw   0x23  
	retlw   0x44              
	retlw   0x2E 
	retlw   0xCD              
	retlw   0x61 
	retlw   0x44              
	retlw   0x2C 
	retlw   0xCD              
	retlw   0x28
	retlw   0x2B              
	retlw   0x29  
	retlw   0x44              
	retlw   0x23 
	retlw   0xC2              
	retlw   0x62 
	retlw   0x44              
	retlw   0x26 
	retlw   0xC8              
	retlw   0x26
	retlw   0x24              
	retlw   0x23  
	retlw   0x44              
	retlw   0x2B 
	retlw   0x89            
	retlw   0x80    		;  - 553

;********************************************************************
;*      Jingle bells                                                *
;********************************************************************
pesem_2                 ;   - 113 
	addwf   pcl,f           ;  - 554

	retlw   0x1A            ; 1
	retlw   0x1A
	retlw   0x2A
	retlw   0x1A            ; 2
	retlw   0x1A
	retlw   0x2A
	retlw   0x1A            ; 3
	retlw   0x1D
	retlw   0x16
	retlw   0x18
	retlw   0x4A            ; 4
	retlw   0x1B            ; 5
	retlw   0x1B
	retlw   0x2B
	retlw   0x1A            ; 6
	retlw   0x1A
	retlw   0x2A
	retlw   0x18            ; 7
	retlw   0x18
	retlw   0x18
	retlw   0x1A
	retlw   0x28            ; 8
	retlw   0x2D
	retlw   0x1A            ; 91
	retlw   0x1A
	retlw   0x2A
	retlw   0x1A            ; 92
	retlw   0x1A
	retlw   0x2A
	retlw   0x1A            ; 93
	retlw   0x1D
	retlw   0x16
	retlw   0x18
	retlw   0x4A            ; 94
	retlw   0x1B            ; 95
	retlw   0x1B
	retlw   0x2B
	retlw   0x1A            ; 96
	retlw   0x1A              
	retlw   0x2A
	retlw   0x1D            ; 10
	retlw   0x1B
	retlw   0x1A
	retlw   0x18
	retlw   0x46            ; 11
	retlw   0x11            ; 12
	retlw   0x1A
	retlw   0x18
	retlw   0x16
	retlw   0x41            ; 13
	retlw   0x11            ; 14
	retlw   0x1A
	retlw   0x18
	retlw   0x16
	retlw   0x43            ; 15
	retlw   0x13            ; 16
	retlw   0x1B
	retlw   0x1A
	retlw   0x18
	retlw   0x1D            ; 17
	retlw   0x1D
	retlw   0x2D
	retlw   0x1F            ; 18
	retlw   0x1D
	retlw   0x18
	retlw   0x19
	retlw   0x4A            ; 19
retlw   0x11            ; 20_12
	retlw   0x1A
	retlw   0x18
	retlw   0x16
	retlw   0x41            ; 20_13
	retlw   0x11            ; 20_14
	retlw   0x1A
	retlw   0x18
	retlw   0x16
	retlw   0x43            ; 20_15
	retlw   0x13            ; 20_16
	retlw   0x1B
	retlw   0x1A
	retlw   0x18
retlw   0x1D            ; 20_17
	retlw   0x1D
	retlw   0x2D
	retlw   0x1F            ; 21
	retlw   0x1D
	retlw   0x1B
	retlw   0x18
	retlw   0x26            ; 22
	retlw   0x2D
retlw   0x1A            ; 23_91
	retlw   0x1A
	retlw   0x2A
retlw   0x1A            ; 23_92
	retlw   0x1A
	retlw   0x2A
	retlw   0x1A            ; 23_93
	retlw   0x1D
	retlw   0x16
	retlw   0x18
	retlw   0x4A            ; 23_94
	retlw   0x1B            ; 23_95
	retlw   0x1B
	retlw   0x2B
	retlw   0x1A            ; 23_96
	retlw   0x1A              
	retlw   0x2A
	retlw   0x1D            ; 23_10
	retlw   0x1B
	retlw   0x1A
	retlw   0x18
	retlw   0x46            ; 23_11 
	retlw   0x80            ;  - 667

;********************************************************************
;*                                                         *
;********************************************************************
pesem_3                 ;    55 
	addwf   pcl,f           ;  - 668

	retlw   0x43
	retlw   0x26

	retlw   0x6d

	retlw   0x4B
	retlw   0x26

	retlw   0x64

	retlw   0x43
	retlw   0x23

	retlw   0x23
	retlw   0x24
	retlw   0x26
	
	retlw   0x68

	retlw   0x66

	retlw   0x43
	retlw   0x26

	retlw   0x6D

	retlw   0x4B
	retlw   0x26

	retlw   0x64

	retlw   0x43
	retlw   0x26

	retlw   0x26
	retlw   0x28
	retlw   0x2A

	retlw   0x6B

	retlw   0x4B
	retlw   0x20

	retlw   0x4D
	retlw   0x26

	retlw   0x2A
	retlw   0x28
	retlw   0x26

	retlw   0x43
	retlw   0x26

	retlw   0x6B

	retlw   0x48
	retlw   0x2B

	retlw   0x4D
	retlw   0x2B

	retlw   0x6A

	retlw   0x66

	retlw   0x43
	retlw   0x26

	retlw   0x6D

	retlw   0x4B
	retlw   0x26

	retlw   0x64

	retlw   0x43
	retlw   0x26

	retlw   0x26
	retlw   0x28
	retlw   0x2A

	retlw   0x6B

	retlw   0x6B

	retlw   0x80            ; - 723

	org     0x300           ;     256 
;********************************************************************
;*                                                        *
;********************************************************************
pesem_4                         ;   - 46 
	addwf   pcl,f           ;  - 768
	
	retlw   0x38
	retlw   0x1A
	retlw   0x28
	retlw   0x65

	retlw   0x38
	retlw   0x1A
	retlw   0x28
	retlw   0x65

	retlw   0x4F
	retlw   0x2F
	retlw   0x6C

	retlw   0x4D
	retlw   0x2D
	retlw   0x68
	
	retlw   0x4A
	retlw   0x2A
	retlw   0x3D
	retlw   0x1C
	retlw   0x2A

	retlw   0x38
	retlw   0x1A
	retlw   0x28
	retlw   0x65

	retlw   0x4A
	retlw   0x2A
	retlw   0x3D
	retlw   0x1C
	retlw   0x2A

	retlw   0x38
	retlw   0x1A
	retlw   0x28
	retlw   0x65
	
	retlw   0x4F
	retlw   0x2F
	retlw   0x2F
	retlw   0x2F
	retlw   0x2C

	retlw   0xBD
	
	retlw   0x2D
	retlw   0x28
	retlw   0x25
	retlw   0x28
	retlw   0x26
	retlw   0x23
	
	retlw   0x61

	retlw   0x80            ;  - 805

;********************************************************************
;*      Love me tender                                              *
;********************************************************************
pesem_5                         ;   - 74 
	addwf   pcl,f           ;  - 806

	retlw   0x23
	retlw   0x28
	retlw   0x27
	retlw   0x28

	retlw   0x2A
	retlw   0x25
	retlw   0x4A
	
	retlw   0x28
	retlw   0x27
	retlw   0x25
	retlw   0x27
	
	retlw   0x88
	
	retlw   0x23
	retlw   0x28
	retlw   0x27
	retlw   0x28

	retlw   0x2A
	retlw   0x25
	retlw   0x4A

	retlw   0x28
	retlw   0x27
	retlw   0x25
	retlw   0x27

	retlw   0x88

	retlw   0x2C
	retlw   0x2C
	retlw   0x1C
	retlw   0x3C

	retlw   0x2C
	retlw   0x2C
	retlw   0x4C

	retlw   0x2C
	retlw   0x2A
	retlw   0x28
	retlw   0x2A

	retlw   0x8C

	retlw   0x2C
	retlw   0x2C
	retlw   0x2D
	retlw   0x2C

	retlw   0x2A
	retlw   0x25
	retlw   0x4A

	retlw   0x28
	retlw   0x27
	retlw   0x25
	retlw   0x27

	retlw   0x68
	retlw   0x20            ; - 855

	retlw   0x2C
	retlw   0x2C
	retlw   0x1C
	retlw   0x3C

	retlw   0x2C
	retlw   0x2C
	retlw   0x4C

	retlw   0x2C
	retlw   0x2A
	retlw   0x28
	retlw   0x2A

	retlw   0x8C

	retlw   0x2C
	retlw   0x2C
	retlw   0x2D
	retlw   0x2C

	retlw   0x2A
	retlw   0x25
	retlw   0x4A

	retlw   0x28
	retlw   0x27
	retlw   0x3C
	retlw   0x1A

	retlw   0x88
	
	retlw   0x80            ; - 889

;********************************************************************
;*      Oh, when the saints go marchin`in                           *
;********************************************************************
pesem_6                         ;   - 37 
	addwf   pcl,f           ;  - 890
	
	retlw   0x15
	retlw   0x19
	retlw   0x1A

	retlw   0x4C
	retlw   0x10
	retlw   0x15
	retlw   0x19
	retlw   0x1A

	retlw   0x4C
	retlw   0x10
	retlw   0x15
	retlw   0x19
	retlw   0x1A

	retlw   0x2C
	retlw   0x29
	retlw   0x25
	retlw   0x29

	retlw   0x47
	retlw   0x10
	retlw   0x19
	retlw   0x19
	retlw   0x17

	retlw   0x35
	retlw   0x15
	retlw   0x29
	retlw   0x2C

	retlw   0x1C
	retlw   0x4A
	retlw   0x1A
	retlw   0x19
	retlw   0x1A

	retlw   0x2C
	retlw   0x29
	retlw   0x25
	retlw   0x27

	retlw   0x45
	retlw   0x40            ; - 927

;********************************************************************
;*      My bonnie is over the ocean.                                *
;********************************************************************
pesem_7                         ;   - 62 
	addwf   pcl,f           ;  - 928

	retlw   0x24

	retlw   0x2D
	retlw   0x2B
	retlw   0x29
	retlw   0x2B
	retlw   0x29
	retlw   0x26

	retlw   0x24
	retlw   0x81
	retlw   0x24

	retlw   0x2D
	retlw   0x2B
	retlw   0x29
	retlw   0x29
	retlw   0x28
	retlw   0x29

	retlw   0xAB
	retlw   0x24

	retlw   0x2D
	retlw   0x2B
	retlw   0x29
	retlw   0x2B
	retlw   0x29
	retlw   0x26

	retlw   0x24
	retlw   0x81
	retlw   0x24

	retlw   0x26
	retlw   0x2B
	retlw   0x29
	retlw   0x28
	retlw   0x26
	retlw   0x28

	retlw   0xA9
	retlw   0x20

	retlw   0x64
	retlw   0x69

	retlw   0x66
	retlw   0x4B
	retlw   0x29

	retlw   0x28
	retlw   0x28
	retlw   0x28
	retlw   0x28
	retlw   0x26
	retlw   0x28
	
	retlw   0x49
	retlw   0x2B
	retlw   0x6D

	retlw   0x64
	retlw   0x69

	retlw   0x66
	retlw   0x4B
	retlw   0x29

	retlw   0x28
	retlw   0x28
	retlw   0x28
	retlw   0x28
	retlw   0x26
	retlw   0x28
	
	retlw   0xA9

	retlw   0x80            ; - 990

;********************************************************************
;*        !                                                  *
;********************************************************************
	end






